This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1292272 - Review Request: nodm - A display manager automatically starting an X session
Review Request: nodm - A display manager automatically starting an X session
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Dersch
Fedora Extras Quality Assurance
TrivialFailure
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 16:03 EST by Raphael Groner
Modified: 2016-01-09 08:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-09 08:30:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lupinix.fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Raphael Groner 2015-12-16 16:03:26 EST
Spec URL: https://raphgro.fedorapeople.org/review/locker/nodm.spec
SRPM URL: https://raphgro.fedorapeople.org/review/locker/nodm-0.7-1.fc23.src.rpm
Description: A display manager automatically starting an X session
Fedora Account System Username: raphgro

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=12218813

Please notice that this request is about unretire nodm.
Comment 1 Christian Dersch 2015-12-16 17:52:44 EST
Review done. Not approved, because package doesn't work at least @x86_64 due to packaging issue :(

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/acls/name/nodm
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names

==> This is an unretirement of the mentioned package => Not an issue of course

- Add "Requires: systemd" to spec
- Install systemd unit @correct location https://fedoraproject.org/wiki/Packaging:Systemd#Filesystem_locations

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (3 clause) GPL (v2 or later) (with
     incorrect FSF address)", "Unknown or generated". 18 files have unknown
     license. Detailed output of licensecheck in
     /home/review/1292272-nodm/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/systemd, /usr/lib64/systemd/system
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/systemd,
     /usr/lib64/systemd/system

===> You install the systemd unit @wrong place! Should be /lib/... in general, not /usr/lib64. Have a look at https://fedoraproject.org/wiki/Packaging:Systemd#Filesystem_locations


[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).

You have to require systemd, see above

[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nodm-
     debuginfo
[!]: Package functions as described.

Doesn't work due to wrong location of systemd unit

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)

==> Please use the version in SRPM!

[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros


Rpmlint
-------
Checking: nodm-0.7-1.fc23.x86_64.rpm
          nodm-debuginfo-0.7-1.fc23.x86_64.rpm
          nodm-0.7-1.fc23.src.rpm
nodm.x86_64: W: only-non-binary-in-usr-lib
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: nodm-debuginfo-0.7-1.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodm.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/review/1292272-nodm/srpm/nodm.spec	2015-12-16 23:05:43.880000000 +0100
+++ /home/review/1292272-nodm/srpm-unpacked/nodm.spec	2015-12-16 21:56:28.000000000 +0100
@@ -4,6 +4,5 @@
 Summary:        A display manager automatically starting an X session
 
-# nodm.cpp is under GPLv2+ and BSD (3 clause), config/install-sh with MIT/X11
-License:        GPLv2+ and BSD and MIT
+License:        BSD and GPLv2+
 URL:            http://www.enricozini.org/sw/%{name}
 Source0:        %{url}/%{name}-%{version}.tar.gz


Requires
--------
nodm (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpam.so.0()(64bit)
    libpam.so.0(LIBPAM_1.0)(64bit)
    libpam_misc.so.0()(64bit)
    libpam_misc.so.0(LIBPAM_MISC_1.0)(64bit)
    rtld(GNU_HASH)

nodm-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
nodm:
    nodm
    nodm(x86-64)

nodm-debuginfo:
    nodm-debuginfo
    nodm-debuginfo(x86-64)



Source checksums
----------------
http://www.enricozini.org/sw/nodm/nodm-0.7.tar.gz :
  CHECKSUM(SHA256) this package     : 0f74cf5cd08f958923a3123a75e945ecc727cb486b51c87cf5a235445bd0c42a
  CHECKSUM(SHA256) upstream package : 0f74cf5cd08f958923a3123a75e945ecc727cb486b51c87cf5a235445bd0c42a


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-23-x86_64 -b 1292272
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Raphael Groner 2015-12-17 11:54:56 EST
Christian, thanks for the review!

I'll try to talk about official systemd support to Enrio Zini (upstream developer). In those times 2009, he wrote a howto about configuration with legacy init system, not sure if he likes systemd or not at all.
http://enricozini.org/2008/tips/lightweight-autologin/
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd


Spec URL: https://raphgro.fedorapeople.org/review/locker/nodm.spec
SRPM URL: https://raphgro.fedorapeople.org/review/locker/nodm-0.7-2.fc23.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=12224295

%changelog
* Thu Dec 17 2015 Raphael Groner <> - 0.7-2
- add more systemd stuff
- adjust License tag
Comment 3 Christian Dersch 2015-12-17 18:03:33 EST
Approved, haven't tested functionality in detail, but as this is only a should item, this is no stopper for me.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/acls/name/nodm
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names

==> This is an unretirement of the mentioned package => Not an issue of course



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (3 clause) GPL (v2 or later) (with
     incorrect FSF address)", "Unknown or generated". 18 files have unknown
     license. Detailed output of licensecheck in
     /home/review/1292272-nodm/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nodm-
     debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodm-0.7-2.fc23.x86_64.rpm
          nodm-debuginfo-0.7-2.fc23.x86_64.rpm
          nodm-0.7-2.fc23.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: nodm-debuginfo-0.7-2.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
nodm (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    libpam.so.0()(64bit)
    libpam.so.0(LIBPAM_1.0)(64bit)
    libpam_misc.so.0()(64bit)
    libpam_misc.so.0(LIBPAM_MISC_1.0)(64bit)
    rtld(GNU_HASH)
    systemd

nodm-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
nodm:
    nodm
    nodm(x86-64)

nodm-debuginfo:
    nodm-debuginfo
    nodm-debuginfo(x86-64)



Source checksums
----------------
http://www.enricozini.org/sw/nodm/nodm-0.7.tar.gz :
  CHECKSUM(SHA256) this package     : 0f74cf5cd08f958923a3123a75e945ecc727cb486b51c87cf5a235445bd0c42a
  CHECKSUM(SHA256) upstream package : 0f74cf5cd08f958923a3123a75e945ecc727cb486b51c87cf5a235445bd0c42a


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-23-x86_64 -b 1292272
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Raphael Groner 2015-12-18 03:09:37 EST
Asked in PkgDB for unretirement and new branches.
Comment 5 Fedora Update System 2015-12-18 15:19:44 EST
nodm-0.7-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6bb2169d1e
Comment 6 Raphael Groner 2015-12-18 15:21:08 EST
F23, F22 packages both currently blocked, asked at releng to unblock.
Comment 7 Fedora Update System 2015-12-19 20:50:56 EST
nodm-0.7-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodm'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6bb2169d1e
Comment 8 Raphael Groner 2015-12-20 07:02:56 EST
https://fedorahosted.org/rel-eng/ticket/6321
Comment 9 Upstream Release Monitoring 2016-01-05 01:54:24 EST
koschei's scratch build of nodm-0.7-3.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12414729
Comment 10 Fedora Update System 2016-01-05 13:38:09 EST
nodm-0.7-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-61a3f60fc6
Comment 11 Fedora Update System 2016-01-05 13:39:16 EST
nodm-0.7-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f56d641101
Comment 12 Fedora Update System 2016-01-06 23:54:38 EST
nodm-0.7-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f56d641101
Comment 13 Fedora Update System 2016-01-07 00:24:21 EST
nodm-0.7-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-61a3f60fc6
Comment 14 Raphael Groner 2016-01-07 04:39:15 EST
Some more testing shows to me that we need more configuration to get nodm work as expected. Version 0.7 as mentioned in upstream URL is not the latest version cause Debian has sources of a version 0.11 with more features. I decided to unpush all bodhi updates. There's definitely more investigation needed for a serious package.

[!]: Package functions as described.
[!]: Latest version is packaged.
Comment 15 Christian Dersch 2016-01-07 04:47:38 EST
Please open new bugs to track both problems. Review is done and this is not a general nodm tracking bug ;)
Comment 16 Christian Dersch 2016-01-07 05:29:28 EST
Removed alias because I cannot search for other nodm bugs without directly being redirected to this one here.
Comment 17 Raphael Groner 2016-01-07 19:15:55 EST
Fixed in Rawhide.
Please remove any previous nodm-0.7-3 package for sure before new installation, just update won't work nicely: dnf remove -y dnf ; rm -rf /etc/default/nodm
Comment 18 Fedora Update System 2016-01-07 19:34:55 EST
nodm-0.11-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a0a434f1fe
Comment 19 Fedora Update System 2016-01-08 23:27:35 EST
nodm-0.11-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a0a434f1fe

Note You need to log in before you can comment on or make changes to this bug.